---
releases:
  1.0.0:
    release_date: '2021-03-11'
    codename: v1
    changes:
      release_summary: This is the initial release.
      major_changes:
        - Added longhorn role
        - Added elasticsearch role
        - Added fluentd role
        - Added vault role
      minor_changes:
      breaking_changes:
      deprecated_features:
      removed_features:
      security_fixes:
      bugfixes:
    modules:
    plugins:
      lookup:
      inventory:
    objects:
      role:
        - name: external_requirements
          description: Install all requirements of this collection
          namespace: null
        - name: longhorn
          description: Install Longhorn Storage Class
          namespace: null
        - name: elasticsearch
          description:
            Install elastic operator, then deploy elasticsearch and kibana
          namespace: logging (elastic-system for the operator)
        - name: fluentd
          description:
            Install logging operator, then deploy fluentd and fluentbits
          namespace: logging (logging-system for the operator)
        - name: vault
          description:
            Install hashicorp vault
          namespace: null
      playbook:
        - name: deploy
          description: deploy all the roles
          namespace: null

  1.0.1:
    release_date: '2021-04-16'
    codename: v1
    changes:
      release_summary: This is the prometheus release.
      major_changes:
        - Added prometheus role
      minor_changes:
      breaking_changes:
      deprecated_features:
      removed_features:
      security_fixes:
      bugfixes:
    modules:
    plugins:
      lookup:
      inventory:
    objects:
      role:
        - name: prometheus
          description: Install Prometheus
          namespace: monitoring
      playbook:
        - name: deploy
          description: deploy all the roles
          namespace: null
